| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SoPSVectorOutput Class Reference
Vectorized Printing Classes

The SoPSVectorOutput class is used for writing Postscript. More...

`#include <HardCopy/SoPSVectorOutput.h>`

Inheritance diagram for SoPSVectorOutput:

## Public Member Functions

| SoPSVectorOutput ()
virtual | ~SoPSVectorOutput ()
void | setColored (SbBool flag=TRUE)
SbBool | getColored (void) const
Public Member Functions inherited from SoVectorOutput
| SoVectorOutput (void)
virtual | ~SoVectorOutput ()
virtual SbBool | openFile (const char *filename)
virtual void | closeFile (void)
FILE * | getFilePointer (void)

## Detailed Description

The SoPSVectorOutput class is used for writing Postscript.

Since
  Coin 2.1
  TGS provides HardCopy support as a separate extension for TGS Inventor.

## Constructor & Destructor Documentation

SoPSVectorOutput::SoPSVectorOutput | ( | ) |  |

Constructor.

SoPSVectorOutput::~SoPSVectorOutput | ( | ) |  |

virtual

Destructor.

## Member Function Documentation

void SoPSVectorOutput::setColored | ( | SbBool | flag = `TRUE`) |  |

Sets whether the geometry should be colored.

SbBool SoPSVectorOutput::getColored | ( | void | ) |  | const

Returns whether geometry is colored.

The documentation for this class was generated from the following files:

- SoPSVectorOutput.h
- PSVectorOutput.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.